Bug 55656 - When recompiling kernel, make vmlinux, block_dev.c:441: Internal Error: Segmentation fault. Please submit a full bug report.
Summary: When recompiling kernel, make vmlinux, block_dev.c:441: Internal Error: Segme...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-04 02:50 UTC by nick white
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-04 13:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nick white 2001-11-04 02:50:37 UTC
Description of Problem:

When recompiling kernel, make vmlinux, block_dev.c:441: Internal Error: 
Segmentation fault. Please submit a full bug report.

Version-Release number of selected component (if applicable):
2.4.7-10


How Reproducible:
Every Time

Steps to Reproduce:
1. make menuconfig (config for K6 CPU)
2. make dep
3. make vmlinux

Actual Results:

When recompiling kernel, make vmlinux, block_dev.c:441: Internal Error: 
Segmentation fault. Please submit a full bug report.

Expected Results:

Successfull compilation

Additional Information:

make[2] *** [block_dev.0] Error 2
make[2] Leaving directory '/usr/src/linux-2.4.7-10/fs'
make[1] *** [first_rule] Error 2
make[1] Leaving directory '/usr/src/linux-2.4.7-10/fs'
make: *** [_dir_fs] Error2

Comment 1 Arjan van de Ven 2001-11-04 09:33:44 UTC
gcc crash -> gcc bug

Comment 2 Jakub Jelinek 2001-11-04 13:41:02 UTC
Is it reproduceable always on the same file with the same gcc options?
If not, probably hardware fault, if yes, please submit:
1) gcc options used to compile block_dev.c
2) rerun gcc command with used options and -save-temps, attach block_dev.i
   it creates

Comment 3 Jakub Jelinek 2002-01-25 22:13:51 UTC
If you have the needed info, please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.